summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Haller <thaller@redhat.com>2015-02-09 15:46:15 +0100
committerThomas Haller <thaller@redhat.com>2015-02-09 15:49:58 +0100
commit95a750e4fa0ca8148b1bf4ec3319f62d00318abe (patch)
treef2ba68ece02214d7229b666656cbd327c915c091
parent2981839bdedc5f75d5484e660acf67fa03a61e90 (diff)
downloadNetworkManager-95a750e4fa0ca8148b1bf4ec3319f62d00318abe.tar.gz
tests: allow running tests without valgrind by setting NMTST_NO_VALGRIND
When configuring with --with-valgrind, tests will be invoked via valgrind. That significantly slows down the tests. Allow user to set the environment variable NMTST_NO_VALGRIND to invoke tests directly, even when valgrind was enabled at configure time.
-rwxr-xr-xtools/run-test-valgrind.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tools/run-test-valgrind.sh b/tools/run-test-valgrind.sh
index fb8cb1482e..200a27d13c 100755
--- a/tools/run-test-valgrind.sh
+++ b/tools/run-test-valgrind.sh
@@ -13,6 +13,11 @@ if [ "$1" = "--launch-dbus" ]; then
fi
TEST="$1"; shift
+if [ "$NMTST_NO_VALGRIND" != "" ]; then
+ "$TEST"
+ exit $?
+fi
+
LOGFILE="valgrind-`echo "$TEST" | tr -cd '[:alpha:]-'`.log"
export G_SLICE=always-malloc